PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Attributes | Friends | List of all members
PThread::Times Struct Reference

Times for execution of the thread. More...

`#include <thread.h>`

Collaboration diagram for PThread::Times:
[legend]

## Public Attributes
PTimeInterval | m_real
| Total real time since thread start in milliseconds. More...
PTimeInterval | m_kernel
| Total kernel CPU time in milliseconds. More...
PTimeInterval | m_user
| Total user CPU time in milliseconds. More...

## Friends
ostream & | operator<< (ostream &strm, const Times &times)

## Detailed Description

Times for execution of the thread.

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | strm,
|  | const Times & | times
| ) |  |
| friend

## Member Data Documentation

PTimeInterval PThread::Times::m_kernel

Total kernel CPU time in milliseconds.

PTimeInterval PThread::Times::m_real

Total real time since thread start in milliseconds.

PTimeInterval PThread::Times::m_user

Total user CPU time in milliseconds.

The documentation for this struct was generated from the following file:

- thread.h